## haskell-clash-prelude 1.6.3

=== debian/changelog ===
haskell-clash-prelude (1.6.3-2) unstable; urgency=medium

  * Disable RTS -N

 -- Scott Talbert <swt@techie.net>  Sun, 21 Aug 2022 13:02:11 -0400

haskell-clash-prelude (1.6.3-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Thu, 28 Jul 2022 17:50:42 -0400
