=== debian/control ===
Source: haskell-clash-prelude
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libghc-quickcheck2-dev (>= 2.7),
 libghc-quickcheck2-dev (<< 2.15),
 libghc-quickcheck2-prof,
 libghc-arrows-dev (>= 0.4),
 libghc-arrows-dev (<< 0.5),
 libghc-arrows-prof,
 libghc-constraints-dev (>= 0.9),
 libghc-constraints-dev (<< 1.0),
 libghc-constraints-prof,
 libghc-data-binary-ieee754-dev (>= 0.4.4),
 libghc-data-binary-ieee754-dev (<< 0.6),
 libghc-data-binary-ieee754-prof,
 libghc-data-default-class-dev (>= 0.1.2),
 libghc-data-default-class-dev (<< 0.2),
 libghc-data-default-class-prof,
 libghc-extra-dev (>= 1.6.17),
 libghc-extra-dev (<< 1.8),
 libghc-extra-prof,
 libghc-ghc-typelits-extra-dev (>= 0.4),
 libghc-ghc-typelits-extra-dev (<< 0.5),
 libghc-ghc-typelits-extra-prof,
 libghc-ghc-typelits-knownnat-dev (>= 0.7.2),
 libghc-ghc-typelits-knownnat-dev (<< 0.8),
 libghc-ghc-typelits-knownnat-prof,
 libghc-ghc-typelits-natnormalise-dev (>= 0.7.2),
 libghc-ghc-typelits-natnormalise-dev (<< 0.8),
 libghc-ghc-typelits-natnormalise-prof,
 libghc-half-dev (>= 0.2.2.3),
 libghc-half-dev (<< 1.0),
 libghc-half-prof,
 libghc-hashable-dev (>= 1.2.1.0),
 libghc-hashable-dev (<< 1.5),
 libghc-hashable-prof,
 libghc-interpolate-dev (>= 0.2),
 libghc-interpolate-dev (<< 0.3),
 libghc-interpolate-prof,
 libghc-lens-dev (>= 4.10),
 libghc-lens-dev (<< 5.1.0),
 libghc-lens-prof,
 libghc-recursion-schemes-dev (>= 5.1),
 libghc-recursion-schemes-dev (<< 5.3),
 libghc-recursion-schemes-prof,
 libghc-reflection-dev (>= 2),
 libghc-reflection-dev (<< 2.2),
 libghc-reflection-prof,
 libghc-singletons-dev (>= 2.0),
 libghc-singletons-dev (<< 3.1),
 libghc-singletons-prof,
 libghc-th-abstraction-dev (>= 0.2.10),
 libghc-th-abstraction-dev (<< 0.5.0),
 libghc-th-abstraction-prof,
 libghc-th-lift-dev (>= 0.7.0),
 libghc-th-lift-dev (<< 0.9),
 libghc-th-lift-prof,
 libghc-th-orphans-dev (>= 0.13.1),
 libghc-th-orphans-dev (<< 1.0),
 libghc-th-orphans-prof,
 libghc-type-errors-dev (>= 0.2.0.0),
 libghc-type-errors-dev (<< 0.3),
 libghc-type-errors-prof,
 libghc-uniplate-dev (>= 1.6.12),
 libghc-uniplate-dev (<< 1.7),
 libghc-uniplate-prof,
 libghc-vector-dev (>= 0.11),
 libghc-vector-dev (<< 1.0),
 libghc-vector-prof,
 libghc-doctest-parallel-dev (>= 0.2),
 libghc-doctest-parallel-dev (<< 0.3),
 libghc-doctest-parallel-prof,
 libghc-ghc-typelits-extra-dev,
 libghc-ghc-typelits-knownnat-dev,
 libghc-ghc-typelits-natnormalise-dev,
 libghc-hedgehog-dev (>= 1.0.3),
 libghc-hedgehog-dev (<< 1.2),
 libghc-hedgehog-prof,
 libghc-hint-dev (>= 0.7),
 libghc-hint-dev (<< 0.10),
 libghc-hint-prof,
 libghc-quickcheck-classes-base-dev (>= 0.6),
 libghc-quickcheck-classes-base-dev (<< 1.0),
 libghc-quickcheck-classes-base-prof,
 libghc-tasty-dev (>= 1.2),
 libghc-tasty-dev (<< 1.5),
 libghc-tasty-prof,
 libghc-tasty-hedgehog-dev (>= 1.2.0),
 libghc-tasty-hedgehog-prof,
 libghc-tasty-hunit-dev,
 libghc-tasty-hunit-prof,
 libghc-tasty-quickcheck-dev,
 libghc-tasty-quickcheck-prof,
 libghc-tasty-th-dev,
 libghc-tasty-th-prof,
Build-Depends-Indep: ghc-doc,
 libghc-quickcheck2-doc,
 libghc-arrows-doc,
 libghc-constraints-doc,
 libghc-data-binary-ieee754-doc,
 libghc-data-default-class-doc,
 libghc-extra-doc,
 libghc-ghc-typelits-extra-doc,
 libghc-ghc-typelits-knownnat-doc,
 libghc-ghc-typelits-natnormalise-doc,
 libghc-half-doc,
 libghc-hashable-doc,
 libghc-interpolate-doc,
 libghc-lens-doc,
 libghc-recursion-schemes-doc,
 libghc-reflection-doc,
 libghc-singletons-doc,
 libghc-th-abstraction-doc,
 libghc-th-lift-doc,
 libghc-th-orphans-doc,
 libghc-type-errors-doc,
 libghc-uniplate-doc,
 libghc-vector-doc,
Standards-Version: 4.6.1
Homepage: https://clash-lang.org/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-prelude
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-prelude]
X-Description: Functional hardware description language - Prelude library
 Clash is a functional hardware description language that borrows both its
 syntax and semantics from the functional programming language Haskell. The
 Clash compiler transforms these high-level descriptions to low-level
 synthesizable VHDL, Verilog, or SystemVerilog.
 .
 Features of Clash:
 .
  * Strongly typed, but with a very high degree of type inference, enabling both
 safe and fast prototyping using concise descriptions.
 .
  * Interactive REPL: load your designs in an interpreter and easily test all
 your component without needing to setup a test bench.
 .
  * Higher-order functions, with type inference, result in designs that are
 fully parametric by default.
 .
  * Synchronous sequential circuit design based on streams of values, called
 @Signal@s, lead to natural descriptions of feedback loops.
 .
  * Support for multiple clock domains, with type safe clock domain crossing.
 .
 This package provides:
 .
  * Prelude library containing datatypes and functions for circuit design
 .
 To use the library:
 .
  * Import "Clash.Prelude"
 .
  * Alternatively, if you want to explicitly route clock and reset ports,
 for more straightforward multi-clock designs, you can import the
 "Clash.Explicit.Prelude" module. Note that you should not import
 "Clash.Prelude" and "Clash.Explicit.Prelude" at the same time as they
 have overlapping definitions.
 .
 A preliminary version of a tutorial can be found in "Clash.Tutorial", for a
 general overview of the library you should however check out "Clash.Prelude".
 Some circuit examples can be found in "Clash.Examples".

Package: libghc-clash-prelude-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-clash-prelude-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-clash-prelude-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
