## haskell-clash-prelude 1.6.4

=== debian/changelog ===
haskell-clash-prelude (1.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 10 Oct 2022 10:54:23 -0400
