=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
  libghc-interpolate-dev (<< 0.3),
  libghc-interpolate-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.1.0),
+ libghc-lens-dev (<< 5.2.0),
  libghc-lens-prof,
  libghc-recursion-schemes-dev (>= 5.1),
  libghc-recursion-schemes-dev (<< 5.3),
