## haskell-clash-prelude 1.6.6

=== debian/changelog ===
haskell-clash-prelude (1.6.6-2) unstable; urgency=medium

  * Patch for newer dependencies.

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 14:43:49 -0400

haskell-clash-prelude (1.6.6-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 14:12:56 -0400
