=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
  libghc-interpolate-dev (<< 0.3),
  libghc-interpolate-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.2.0),
+ libghc-lens-dev (<< 5.3),
  libghc-lens-prof,
  libghc-recursion-schemes-dev (>= 5.1),
  libghc-recursion-schemes-dev (<< 5.3),
@@ -75,13 +75,13 @@
  libghc-vector-dev (<< 1.0),
  libghc-vector-prof,
  libghc-doctest-parallel-dev (>= 0.2),
- libghc-doctest-parallel-dev (<< 0.3),
+ libghc-doctest-parallel-dev (<< 0.4),
  libghc-doctest-parallel-prof,
  libghc-ghc-typelits-extra-dev,
  libghc-ghc-typelits-knownnat-dev,
  libghc-ghc-typelits-natnormalise-dev,
  libghc-hedgehog-dev (>= 1.0.3),
- libghc-hedgehog-dev (<< 1.2),
+ libghc-hedgehog-dev (<< 1.3),
  libghc-hedgehog-prof,
  libghc-hint-dev (>= 0.7),
  libghc-hint-dev (<< 0.10),
@@ -123,7 +123,7 @@
  libghc-type-errors-doc,
  libghc-uniplate-doc,
  libghc-vector-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-prelude
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-prelude]
