## haskell-clash-prelude 1.8.1

=== debian/changelog ===
haskell-clash-prelude (1.8.1-1build1) noble; urgency=medium

  * Rebuild against 'new GHC ABI'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2023 08:11:31 +0100

haskell-clash-prelude (1.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1054849)

 -- Scott Talbert <swt@techie.net>  Wed, 15 Nov 2023 20:25:59 -0500
