=== debian/control ===
--- 
+++ 
@@ -41,9 +41,9 @@
  libghc-hashable-dev (>= 1.2.1.0),
  libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
- libghc-interpolate-dev (>= 0.2),
- libghc-interpolate-dev (<< 0.3),
- libghc-interpolate-prof,
+ libghc-infinite-list-dev (>= 0.1),
+ libghc-infinite-list-dev (<< 0.2),
+ libghc-infinite-list-prof,
  libghc-lens-dev (>= 4.10),
  libghc-lens-dev (<< 5.3),
  libghc-lens-prof,
@@ -56,8 +56,11 @@
  libghc-singletons-dev (>= 2.0),
  libghc-singletons-dev (<< 3.1),
  libghc-singletons-prof,
+ libghc-string-interpolate-dev (>= 0.3),
+ libghc-string-interpolate-dev (<< 0.4),
+ libghc-string-interpolate-prof,
  libghc-th-abstraction-dev (>= 0.2.10),
- libghc-th-abstraction-dev (<< 0.5.0),
+ libghc-th-abstraction-dev (<< 0.7.0),
  libghc-th-abstraction-prof,
  libghc-th-lift-dev (>= 0.7.0),
  libghc-th-lift-dev (<< 0.9),
@@ -81,7 +84,7 @@
  libghc-ghc-typelits-knownnat-dev,
  libghc-ghc-typelits-natnormalise-dev,
  libghc-hedgehog-dev (>= 1.0.3),
- libghc-hedgehog-dev (<< 1.3),
+ libghc-hedgehog-dev (<< 1.5),
  libghc-hedgehog-prof,
  libghc-hint-dev (>= 0.7),
  libghc-hint-dev (<< 0.10),
@@ -90,7 +93,7 @@
  libghc-quickcheck-classes-base-dev (<< 1.0),
  libghc-quickcheck-classes-base-prof,
  libghc-tasty-dev (>= 1.2),
- libghc-tasty-dev (<< 1.5),
+ libghc-tasty-dev (<< 1.6),
  libghc-tasty-prof,
  libghc-tasty-hedgehog-dev (>= 1.2.0),
  libghc-tasty-hedgehog-prof,
@@ -112,11 +115,12 @@
  libghc-ghc-typelits-natnormalise-doc,
  libghc-half-doc,
  libghc-hashable-doc,
- libghc-interpolate-doc,
+ libghc-infinite-list-doc,
  libghc-lens-doc,
  libghc-recursion-schemes-doc,
  libghc-reflection-doc,
  libghc-singletons-doc,
+ libghc-string-interpolate-doc,
  libghc-th-abstraction-doc,
  libghc-th-lift-doc,
  libghc-th-orphans-doc,
