## haskell-clash-prelude 1.8.4

=== debian/changelog ===
haskell-clash-prelude (1.8.4-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 29 Jan 2026 22:13:29 +0200

haskell-clash-prelude (1.8.1-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Sourceful upload for GHC 9.6

 -- Scott Talbert <swt@techie.net>  Mon, 07 Oct 2024 21:18:53 -0400
