=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Scott Talbert <swt@techie.net>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
- ghc,
+ dh-sequence-haskell,
+ ghc (>= 9.6),
  ghc-prof,
  libghc-quickcheck2-dev (>= 2.7),
- libghc-quickcheck2-dev (<< 2.15),
+ libghc-quickcheck2-dev (<< 2.16),
  libghc-quickcheck2-prof,
  libghc-arrows-dev (>= 0.4),
  libghc-arrows-dev (<< 0.5),
@@ -21,31 +21,31 @@
  libghc-data-binary-ieee754-dev (<< 0.6),
  libghc-data-binary-ieee754-prof,
  libghc-data-default-class-dev (>= 0.1.2),
- libghc-data-default-class-dev (<< 0.2),
+ libghc-data-default-class-dev (<< 0.3),
  libghc-data-default-class-prof,
  libghc-extra-dev (>= 1.6.17),
- libghc-extra-dev (<< 1.8),
+ libghc-extra-dev (<< 1.9),
  libghc-extra-prof,
  libghc-ghc-typelits-extra-dev (>= 0.4),
- libghc-ghc-typelits-extra-dev (<< 0.5),
+ libghc-ghc-typelits-extra-dev (<< 0.6),
  libghc-ghc-typelits-extra-prof,
  libghc-ghc-typelits-knownnat-dev (>= 0.7.2),
- libghc-ghc-typelits-knownnat-dev (<< 0.8),
+ libghc-ghc-typelits-knownnat-dev (<< 0.9),
  libghc-ghc-typelits-knownnat-prof,
  libghc-ghc-typelits-natnormalise-dev (>= 0.7.2),
- libghc-ghc-typelits-natnormalise-dev (<< 0.8),
+ libghc-ghc-typelits-natnormalise-dev (<< 0.10),
  libghc-ghc-typelits-natnormalise-prof,
  libghc-half-dev (>= 0.2.2.3),
  libghc-half-dev (<< 1.0),
  libghc-half-prof,
  libghc-hashable-dev (>= 1.2.1.0),
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (<< 1.6),
  libghc-hashable-prof,
  libghc-infinite-list-dev (>= 0.1),
  libghc-infinite-list-dev (<< 0.2),
  libghc-infinite-list-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.3),
+ libghc-lens-dev (<< 5.4),
  libghc-lens-prof,
  libghc-recursion-schemes-dev (>= 5.1),
  libghc-recursion-schemes-dev (<< 5.3),
@@ -59,8 +59,11 @@
  libghc-string-interpolate-dev (>= 0.3),
  libghc-string-interpolate-dev (<< 0.4),
  libghc-string-interpolate-prof,
+ libghc-tagged-dev (>= 0.8),
+ libghc-tagged-dev (<< 0.9),
+ libghc-tagged-prof,
  libghc-th-abstraction-dev (>= 0.2.10),
- libghc-th-abstraction-dev (<< 0.7.0),
+ libghc-th-abstraction-dev (<< 0.8.0),
  libghc-th-abstraction-prof,
  libghc-th-lift-dev (>= 0.7.0),
  libghc-th-lift-dev (<< 0.9),
@@ -77,14 +80,11 @@
  libghc-vector-dev (>= 0.11),
  libghc-vector-dev (<< 1.0),
  libghc-vector-prof,
- libghc-doctest-parallel-dev (>= 0.2),
- libghc-doctest-parallel-dev (<< 0.4),
- libghc-doctest-parallel-prof,
  libghc-ghc-typelits-extra-dev,
  libghc-ghc-typelits-knownnat-dev,
  libghc-ghc-typelits-natnormalise-dev,
  libghc-hedgehog-dev (>= 1.0.3),
- libghc-hedgehog-dev (<< 1.5),
+ libghc-hedgehog-dev (<< 1.6),
  libghc-hedgehog-prof,
  libghc-hint-dev (>= 0.7),
  libghc-hint-dev (<< 0.10),
@@ -121,13 +121,14 @@
  libghc-reflection-doc,
  libghc-singletons-doc,
  libghc-string-interpolate-doc,
+ libghc-tagged-doc,
  libghc-th-abstraction-doc,
  libghc-th-lift-doc,
  libghc-th-orphans-doc,
  libghc-type-errors-doc,
  libghc-uniplate-doc,
  libghc-vector-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-prelude
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-prelude]
